Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.impl.jdbc.schema
Class DataSourceFactory.KodoDataSource

    java.lang.Object
      |
      +--com.solarmetric.rd.jdbc.DelegatingDataSource
            |
            +--com.solarmetric.rd.kodo.impl.jdbc.schema.DataSourceFactory.KodoDataSource

All Implemented Interfaces:
  javax.sql.DataSource

Enclosing class:
  DataSourceFactory

public static class DataSourceFactory.KodoDataSource
extends DelegatingDataSource

A data source wrapper with kodo-specific behavior; namely, it allows the dictionary to wrap connections, and delegates to the no-args `getConnection()` method if the `getConnection(String,String)` method is called with null user data.

Constructor Summary
`DataSourceFactory.KodoDataSource(javax.sql.DataSource ds, com.solarmetric.rd.kodo.impl.jdbc.conf.JDBCConfiguration conf)`

Method Summary
`void` | `close()`
`java.sql.Connection` | `getConnection()`
`java.sql.Connection` | `getConnection(java.lang.String user, java.lang.String pass)`

Methods inherited from class com.solarmetric.rd.jdbc.DelegatingDataSource
`appendInfo, equals, getDelegate, getInnermostDelegate, getLoginTimeout, getLogWriter, hashCode, setLoginTimeout, setLogWriter, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataSourceFactory.KodoDataSource

    public DataSourceFactory.KodoDataSource(javax.sql.DataSource ds,
                                            com.solarmetric.rd.kodo.impl.jdbc.conf.JDBCConfiguration conf)

Method Detail

### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

  Specified by:
    `getConnection` in interface `javax.sql.DataSource`
  Overrides:
    `getConnection` in class `DelegatingDataSource`
    `java.sql.SQLException`

### getConnection

    public java.sql.Connection getConnection(java.lang.String user,
                                             java.lang.String pass)
                                      throws java.sql.SQLException

  Specified by:
    `getConnection` in interface `javax.sql.DataSource`
  Overrides:
    `getConnection` in class `DelegatingDataSource`
    `java.sql.SQLException`

### close

    public void close()

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.